#include "mbed.h"
#include "LCD4884.h"
#include <string.h>

DigitalOut myled(LED1);
DigitalIn b(USER_BUTTON);
DigitalOut backlight(D7);
AnalogIn joy(A0); //up = 1.00, down = 0.47, right = 0.73, left = 0.00, middle = 0.79

int main() {
    char I[2] = {MENU_NORMAL,'1'};
    int i = 0;
    float pos = 0.00;
    backlight = 1;
    unsigned char x=0,y=0;
    LCD4884 test;
        
    test.LCD_init();
    //test.LCD_clear();
    //test.LCD_write_byte(0x01, 0);
    //test.LCD_write_byte(0x01, 1);
    //test.LCD_write_string('0','0',"1324",'0');
    
    
    while(1) {
        test.LCD_pixel(x,y);
        pos = joy.read();
        if(pos>0.98){
            if(y==0) y=47;
            else y-=1; } 
        else if(0.46<pos&&pos<0.48) y+=1;
        else if(0.72<pos&&pos<0.74) x+=1;
        else if(0.02>pos){
            if(x==0) x=83;
            else x-=1; }
        wait_ms(150);
        test.LCD_clear();
    }
}
